import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Local } from './entities/local.entity';

@Injectable()
export class LocaisService {
  constructor(@InjectRepository(Local) private repo: Repository<Local>) {}
  findAll() { return this.repo.find({ where: { ativo: true } }); }
  findOne(id: string) { return this.repo.findOne({ where: { id } }); }
  create(data: Partial<Local>) { return this.repo.save(data); }
  async update(id: string, data: Partial<Local>) { await this.repo.update(id, data); return this.findOne(id); }
  async remove(id: string) { await this.repo.update(id, { ativo: false }); }
}
